0

I wanted to add Inkscape repository to download Inkscape 1.0 which is not available in the default elementary repository. Before I've ever done sudo add-apt-repository and it just worked fine. Only recently when I tried to add Krita's repo it didn't work and have some aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for elementary/hera so I did a workaround by manually adding the link to synaptic. But the problem is, ppa for Inkscape is not a http but ppa: and when I tried to manually do the same it couldn't find the repository.

Here's the full result of sudo add-apt-repository

sudo add-apt-repository ppa:inkscape.dev/stable

Traceback (most recent call last): File "/usr/bin/add-apt-repository", line 107, in sp = SoftwareProperties(options=options) File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 117, in init self.reload_sourceslist() File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 612, in reload_sourceslist self.distro.get_sources(self.sourceslist)
File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 93, in get_sources (self.id, self.codename))

aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for elementary/hera

There's a similar question here but I guess it only works for Freya.

edit:

Here's the output of tail /etc/lsb-release

DISTRIB_ID=elementary
DISTRIB_RELEASE=5.1.3
DISTRIB_CODENAME=hera
DISTRIB_DESCRIPTION="elementary OS 5.1.3 Hera"

  • Can you please add to your question the output of tail /etc/lsb-release ? – Vlad Jul 9 at 9:39
  • this is the output DISTRIB_ID=elementary DISTRIB_RELEASE=5.1.3 DISTRIB_CODENAME=hera DISTRIB_DESCRIPTION="elementary OS 5.1.3 Hera" – Heru Setiawan Jul 9 at 11:41
  • While not a solution to your specific issue, you could install Inkscape 1.0 from Flathub as elementary OS officially supports Flatpak packages unlike PPAs: flathub.org/apps/details/org.inkscape.Inkscape – David Hewitt Jul 10 at 10:35
0

Inkscape are availble from Flathub, ready to be installed. ;)

https://flathub.org/apps/search/inkscape

| improve this answer | |
  • Yes I know, but it's not about Inkscape. It's about PPA. I can't add any repository at all (I know it's not recommended by elementary but sometimes I prefer classic apt than Flatpak) Thanks anyway. – Heru Setiawan Jul 9 at 14:45
0

i solved this (workaround i guess) by following this article.

It worked for me on elementaryOs Hera

  1. wget http://blog.anantshri.info/content/uploads/2010/09/add-apt-repository.sh.txt
  2. Edit script: change lucid to bionic (line 14)
  3. sudo cp add-apt-repository.sh.txt /usr/sbin/add-apt-repository
  4. sudo chmod o+x /usr/sbin/add-apt-repository

done!

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.